<template>
  <nav class="navbar">
    <!-- LEFT SIDE -->
    <div class="navbar-left">
      <div class="logo">
        <!-- Logo de l'application -->
        <img alt="Vue logo" class="logo" src="@/assets/logo.svg" width="25px" height="25px" />
      </div>
      <!-- Barre de recherche -->
      <div class="search-bar">
        <input type="text" placeholder="Rechercher..." /> <button @click="search">Search</button>
      </div>
    </div>
    <!-- RIGHT SIDE -->
    <div class="navbar-right">
      <!-- Bouton "Connect" -->
      <button @click="connect">Connect</button>
    </div>
  </nav>
</template>

<script setup lang="ts">
// METHODES
// Méthode 1 - Search
const search = () => {
  // Logique de recherche
  console.log('Searching...')
}

// Méthode 2 - Connect
const connect = () => {
  // Logique de connexion
  console.log('Connecting...')
}
</script>

<style scoped>
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #333;
  color: white;
  padding: 1rem;
  max-width: 100%;
}

.navbar-left {
  display: flex;
  align-items: center;
}

.logo {
  margin-right: 1rem;
}

.search-bar {
  display: flex;
  align-items: center;
}

.search-bar input[type='text'] {
  padding: 0.5rem;
  margin-right: 0.5rem;
}

.search-bar button {
  padding: 0.5rem 1rem;
  background-color: #4caf50;
  color: white;
  border: none;
  cursor: pointer;
}

.navbar-right button {
  padding: 0.5rem 1rem;
  background-color: #007bff;
  color: white;
  border: none;
  cursor: pointer;
}
</style>
